# samples/common/classes/NvJpegEncoder.cpp File Reference

`#include "NvJpegEncoder.h"`
`#include "NvLogging.h"`
`#include <string.h>`
`#include <malloc.h>`

Go to the source code of this file.

## Defines

#define | MAX(a, b) ((a) > (b) ? (a) : (b))
#define | ROUND_UP_4(num) (((num) + 3) & ~3)
#define | CAT_NAME "JpegEncoder"

## Define Documentation

#define CAT_NAME "JpegEncoder"

Definition at line 37 of file NvJpegEncoder.cpp.

#define MAX | ( | a,
|  | b |  | ) | ((a) > (b) ? (a) : (b))

Definition at line 34 of file NvJpegEncoder.cpp.

#define ROUND_UP_4 | ( | num |  | ) | (((num) + 3) & ~3)

Definition at line 35 of file NvJpegEncoder.cpp.